--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new ()+(unused,image)+(unused,int,int,*int)
on new (me)
  me._class = #Image
  me.ancestor = include("lib/qt/classes/iObject.ls").new()
  me._id = $.Qt._qx.newObject(me._class)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = include("lib/qt/classes/iObject.ls").new()
	obj._class = #Image
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- grabWidget (int) -> int
on grabWidget (me,p1)
  return $.Qt._qx.callObject(me._id,#grabWidget,p1)
end

-- grabWindow (*int) -> int
on grabWindow (me,p1)
  return $.Qt._qx.callObject(me._id,#grabWindow,p1)
end

-- load (image)+(string,*int)
on load (me,p1)
  $.Qt._qx.callObject(me._id,#load,p1)
end

-- loadData (bytearray|string,*int)
on loadData (me,p1)
  $.Qt._qx.callObject(me._id,#loadData,p1)
end

-- save ()+(string,*int) -> image
on save (me,p1,p2)
  return $.Qt._qx.callObject(me._id,#save,p1,p2)
end

-- saveData (*int)
on saveData (me,p1)
  $.Qt._qx.callObject(me._id,#saveData,p1)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

